> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sibipro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get offers

> Search and list offers with optional filtering by status, search term, and pagination.



## OpenAPI

````yaml https://api.sibipro.com/offers/openapi.json get /
openapi: 3.0.0
info:
  title: Offers API
  version: 1.0.0
  description: RESTful API for managing offers
servers:
  - url: https://api.sibipro.com/prod/offers
    description: API endpoint
security:
  - bearerAuth: []
paths:
  /:
    get:
      summary: Get offers
      description: >-
        Search and list offers with optional filtering by status, search term,
        and pagination.
      parameters:
        - schema:
            type: string
            enum:
              - pending
              - awaiting_customer
              - canceled
              - buyout_accepted
              - order_placed
              - expired
            description: Filter offers by status
            example: pending
          required: false
          name: status
          in: query
        - schema:
            type: string
            description: Search term to filter offers by customer name, email, or address
            example: john
          required: false
          name: searchTerm
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
            description: Page number (1-based)
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
            description: Number of offers per page
            example: 25
          required: false
          name: pageSize
          in: query
      responses:
        '200':
          description: Offers retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOffersResponse'
        '401':
          description: Unauthorized - Missing or invalid authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  value:
                    code: UNAUTHORIZED
                    message: Missing authentication token
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serverError:
                  value:
                    code: INTERNAL_SERVER_ERROR
                    message: An unexpected error occurred
components:
  schemas:
    GetOffersResponse:
      type: object
      properties:
        offers:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              status:
                type: string
                description: Current offer status
                example: pending
              thirdPartyId:
                type: string
                nullable: true
            required:
              - id
              - status
              - thirdPartyId
        totalCount:
          type: number
        statuses:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                description: Offer status
                example: pending
              count:
                type: number
            required:
              - status
              - count
        pageInfo:
          type: object
          properties:
            hasNextPage:
              type: boolean
            hasPreviousPage:
              type: boolean
          required:
            - hasNextPage
            - hasPreviousPage
      required:
        - offers
        - totalCount
        - statuses
        - pageInfo
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code indicating the type of error
        message:
          type: string
          description: Human-readable error message explaining what went wrong
          example: The request contains invalid parameters
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              error:
                type: string
            required:
              - field
              - error
          description: Detailed validation errors when applicable
          example:
            - field: customer.email
              error: Invalid email
            - field: address.postalCode
              error: Invalid
      required:
        - code
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token from the SIBI developer dashboard (developer.sibipro.com),
        sent as `Authorization: Bearer <token>`.

````